CentOS系统本身默认安装有Python2.x,centos系统本身

2019-10-07 00:32 来源:未知

自己这边运用的时centos7-mini,centos系统本人暗中同意安装有python2.x,版本x根据不相同版本系统有所不一致,可通过 python --V 或 python --version 查看系统自带的python版本

笔录了Linux 安装python3.7.0的详尽经过,供大家参考,具体内容如下

笔录了Linux 安装python3.7.0的详尽进程,供大家参照他事他说加以考察,具体内容如下

自个儿这里运用的时CentOS7-mini,CentOS系统本人暗中同意安装有Python2.x,版本x依据区别版本系统有所差别,可经过 python --V 或 python --version 查看系统自带的Python版本。

有一对系统命令时索要运用python2,不能够卸载

自己那边运用的时centos7-mini,centos系统自个儿暗中认可安装有python2.x,版本x依据不一样版本系统有所差别,可由此python --V 或 python --version 查看系统自带的python版本

本人那边运用的时centos7-mini,centos系统自个儿默许安装有python2.x,版本x依据不相同版本系统有所不一致,可经过 python --V 或 python --version 查看系统自带的python版本

有一对系统命令时索要利用Python2,不可能卸载。

1、安装信赖包

有一对系统命令时要求使用python2,无法卸载

有局地系统命令时索要运用python2,不可能卸载

1、安装信任包

1)首先安装gcc编写翻译器,gcc有个别系统版本现已暗许安装,通过  gcc --version  查看,没安装的先安装gcc,yum -y install gcc

1、安装依赖包

1、安装重视包

1)首先安装gcc编写翻译器,gcc有些系统版本已经暗中认可安装,通过  gcc --version  查看,没设置的先安装gcc,yum -y install gcc

2)安装任何信赖包,(注:不要缺乏,不然有异常的大恐怕安装python出错,python3.7.0之下的本子可不装 libffi-devel )

1)首先安装gcc编写翻译器,gcc有个别系统版本现已暗中同意安装,通过  gcc --version  查看,没安装的先安装gcc,yum -y install gcc

1)首先安装gcc编写翻译器,gcc某些系统版本现已私下认可安装,通过  gcc --version  查看,没安装的先安装gcc,yum -y install gcc

2)安装其余信赖包,(注:不要贫乏,不然有相当的大可能率设置python出错,python3.7.0之下的版本可不装 libffi-devel )

yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel

2)安装任何信任包,(注:不要贫乏,不然有十分的大大概设置python出错,python3.7.0之下的本子可不装 libffi-devel )

2)安装任何依赖包,(注:不要缺少,不然有一点都不小希望设置python出错,python3.7.0之下的本子可不装 libffi-devel )

yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel

永利平台娱乐,2、下载python3.7.0源码,依据须要下载

复制代码 代码如下:

复制代码 代码如下:

2、下载python3.7.0源码,依据需求下载

TAG标签:
版权声明:本文由永利平台娱乐发布于新闻动态,转载请注明出处:CentOS系统本身默认安装有Python2.x,centos系统本身